### Method

# Gio Resolver lookup_by_address_finish

since: 2.22

#### Declaration

    gchar*
    g_resolver_lookup_by_address_finish (
      GResolver* resolver,
      GAsyncResult* result,
      GError** error
    )

#### Description

Retrieves the result of a previous call to g_resolver_lookup_by_address_async().

If the DNS resolution failed, `error` (if non-`NULL`) will be set to a value from `GResolverError`. If the operation was cancelled, `error` will be set to `G_IO_ERROR_CANCELLED`.

Available since: 2.22

#### Parameters

`result`

  Type: `GAsyncResult`

  The result passed to your `GAsyncReadyCallback`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A hostname (either ASCII-only, or in ASCII-encoded form), or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.